<?php  
// customizer page templates settings
add_action( 'customize_register', 'industri_customizer_footer_settings');
function industri_customizer_footer_settings( $wp_customize ) {    

    $selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

    // theme footer panel
    $wp_customize->add_panel( 
        'theme_footer', 
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => __('Footer', 'industri'),
        ) 
    );
   

    /***************************************************************
        //copyright widget
    *****************************************************************/    

    // copyright section
    $wp_customize->add_section('copyright_section', array(
        'title'    => esc_html__( 'Copyright', 'industri' ),
        'panel' => 'theme_footer',
        'priority' => 1,        

    )); 

    // selective refresh
    $wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
        'selector'            => '.copy-right .container',              
        'render_callback'  => function() { return get_theme_mod( 'footer_copyright' ); },
    ) );
    
    // Footer Copyright  
    $copyright_text = esc_html__('[site_title] [year] All Rights Reserved &copy; By [author]', 'industri' );  
    $wp_customize->add_setting(
        'footer_copyright',
        array(
            'default' => esc_attr($copyright_text),
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'amigo_sanitize_html',
            'priority'      => 4,
        )
    );  

    $wp_customize->add_control( 
        'footer_copyright',
        array(
            'label'         => __('Copyright','industri'),
            'description'           => __('[site_title] => site title <br> [year] => Current year <br> [author] => Theme author','industri'),
            'section'       => 'copyright_section',
            'type'          => 'textarea',
            'transport'         => $selective_refresh,
        )  
    );  

}